---

resultsBaseDir: results/
batch_mode: True
save_period: 0


bench_type: rastrigin
noise_type: fitness_only_gaussian
beta_fitness: 1.0
beta_features: 0.01

reference_file: rastrigin2-ref-Grid64x64.p


#seed: 42

main_algorithm_name: algoSampling
#logged_algo: algo

containers:
    cont0:
        type: Grid         # The type of the container (e.g. Grid, CVTGrid, Container, NoveltyArchive, ...)
        name: cont0                              # The name of the container. Optional. Default to the parent key (here also 'cont0')
        shape: [64, 64]                          # The number of bins for each feature
        max_items_per_bin: 1                     # The number of items in each bin of the grid
        depot_type: False

# The list of all algorithms
algorithms:
    # Default parameter values for each algorithm
    #optimisation_task: minimisation   # We perform maximisation of all fitness objectives
    dimension: 6                    # The number of dimensions of the problem. For rastrigin, any dimension >= 2 can be chosen
    #ind_domain: [-5.12, 5.12]              # The domain of each value of the genome (optional)
    #container: cont0                  # The container to use to store individuals told to the optimisers


    algo:
        type: RandomSearchMutPolyBoundedForNoisyInds
        container: cont0
        budget: .inf
        batch_size: 500
        init_pb: 0.1
        sel_pb: 0.9
        mut_pb: 0.5
        eta: 20.

    algoSampling:
        type: TimeBasedSamplingDecorator
        base_alg: algo
        budget: 2457600
        batch_size: 100
        min_samples: 1
        max_samples: 10


# MODELINE "{{{1
# vim:expandtab:softtabstop=4:shiftwidth=4:fileencoding=utf-8
# vim:foldmethod=marker
